setUnloadingParamEvent = {};
	
setUnloadingParamEvent_mt = Class(setUnloadingParamEvent, Event);

InitEventClass(setUnloadingParamEvent, "setUnloadingParamEvent");
	
function setUnloadingParamEvent:emptyNew()
	local self = Event:new(setUnloadingParamEvent_mt);
	self.className="setUnloadingParamEvent";
	return self;
end;

function setUnloadingParamEvent:new(object, unloadingValue)
	local self = setUnloadingParamEvent:emptyNew()
	self.object = object;
	self.unloadingValue = unloadingValue;
	return self;
end;

function setUnloadingParamEvent:readStream(streamId, connection)
	local id = streamReadInt32(streamId);
	self.unloadingValue = streamReadInt16(streamId);
	self.object = networkGetObject(id);
	self:run(connection);
end;

function setUnloadingParamEvent:writeStream(streamId, connection)
	streamWriteInt32(streamId, networkGetObjectId(self.object));
	streamWriteInt16(streamId, self.unloadingValue);
end;

function setUnloadingParamEvent:run(connection)
	self.object:setUnloadingParam(self.unloadingValue, true);
	if not connection:getIsServer() then
		g_server:broadcastEvent(setUnloadingParamEvent:new(self.object, self.unloadingValue), nil, connection, self.object);
	end;
end;

function setUnloadingParamEvent.sendEvent(vehicle, unloadingValue, noEventSend)
	if noEventSend == nil or noEventSend == false then
		if g_server ~= nil then
			g_server:broadcastEvent(setUnloadingParamEvent:new(vehicle, unloadingValue), nil, nil, vehicle);
		else
			g_client:getServerConnection():sendEvent(setUnloadingParamEvent:new(vehicle, unloadingValue));
		end;
	end;
end;